This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 133884 - SSH Hangs after SSH2_MSG_KEXINIT sent
SSH Hangs after SSH2_MSG_KEXINIT sent
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 06:04 EDT by Gerald Davies
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 15:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Davies 2004-09-28 06:04:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
I suspect it might not be this component, but its certainly something
to do with it.  Basically, SSH hangs after initiating a connection -
it never prompts for a password or anything.  I've removed things like
the firewall, etc, and still no change.

Every other client connects fine to the SSH server i'm using except
the one in fedora.  Also, putty too fails to connect to it on FC2. 
However, the WindowsXP SSH client on the other partition seems to
connect fine so i'm thinking its definitely something with my FC2
installation.

the debug from SSH is:

OpenSSH_3.6.1p2, SSH protocols 1.5/2.0, OpenSSL 0x0090701f
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: Rhosts Authentication disabled, originating port will not be
trusted.
debug2: ssh_connect: needpriv 0
debug1: Connecting to x.x.x.x [x.x.x.x] port 22.
debug1: Connection established.
debug1: identity file /home/user/.ssh/identity type -1
debug1: identity file /home/user/.ssh/id_rsa type -1
debug3: Not a RSA1 key file /home/user/.ssh/id_dsa.
debug2: key_type_from_name: unknown key type '-----BEGIN'
debug3: key_read: missing keytype
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug2: key_type_from_name: unknown key type '-----END'
debug3: key_read: missing keytype
debug1: identity file /home/user/.ssh/id_dsa type 2
debug1: Remote protocol version 1.99, remote software version
OpenSSH_2.9.9p2
debug1: match: OpenSSH_2.9.9p2 pat OpenSSH_2.*,OpenSSH_3.0*,OpenSSH_3.1*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.6.1p2
debug1: SSH2_MSG_KEXINIT sent

Version-Release number of selected component (if applicable):
openssh-clients-3.6.1p2-34

How reproducible:
Always

Steps to Reproduce:
1. install the SSH software as usual and try and connect to a SSH
server with the above details
2.
3.
    

Actual Results:  as above.  nothing

Expected Results:  a connection/password prompt

Additional info:
Comment 1 Gerald Davies 2004-10-04 12:38:33 EDT
Note - I've discovered much to my surprise that it works on kernel
2.6.6, but unfortunately nothing after that.
Comment 2 Hing-Wah Wan 2005-01-05 10:07:46 EST
Same situation here. I access website www.cuhk.edu.hk with very slow
speed and telnet to its one ssh server (cannot mention the exact
hostname here) in the university got the same thing. I cannot telnet
to the server either.
I'm using debian with kernel 2.6.8 .With kernel 2.6.6 everything work
fine.
Comment 3 Hing-Wah Wan 2005-01-06 09:48:45 EST
I figure out how to solve the problem
Please try :
echo 0 > /proc/sys/net/ipv4/tcp_default_win_scale
Comment 4 Tomas Mraz 2005-02-10 06:26:58 EST
What about current FC2 update kernel?
Comment 5 Tomas Mraz 2005-04-05 15:27:28 EDT
See http://lwn.net/Articles/92727/
Also on kernel 2.6.9 and higher the connection shouldn't hang it will be only
slower than possible maximum.

The problem lies in the buggy routers on the way to the server.

Note You need to log in before you can comment on or make changes to this bug.